This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Query policy list

1 - 1.4

post /v1/policies/list

Description

Query policy list

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Policy ID
Example : 37f2e31ff86b415698d7e8eeafab445d
any of [string, null]None
querypolicy_name
optional
Policy Name
Example : ViewerAccess
any of [string, null]None
querypolicy_type
optional
Policy Type
Example : SYSTEM_MANAGED
any of [string, array[string], null]None
queryservice_type
optional
Service Type
Example : scp-iam
any of [string, array[string], null]None
querycreator_name
optional
Creator Last Name, First Name
Example : test1
any of [string, null]None
querycreator_email
optional
Creator Email
Example : test@test.com
any of [string, null]None
querymodifier_name
optional
Modifier Last Name, First Name
Example : test1
any of [string, null]None
querymodifier_email
optional
Modifier Email
Example : test@test.com
any of [string, null]None
queryexclude_group_id
optional
Group ID to Exclude
Example : a946662dc4314dac93da413a32457459
any of [string, null]None
queryexclude_user_id
optional
User ID to Exclude
Example :
any of [string, null]None
bodybody
required

PolicyQueryRequest

Responses

HTTP CodeDescriptionSchema
200OKPolicyPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/policies/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.4"

Request body

{
    "excluded_policy_ids": [
        "37f2e31ff86b415698d7e8eeafab445d"
    ]
}

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_email": "samsung.kim@samsung.com",
            "creator_name": "Kim Samsung",
            "default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
            "description": "Descriptions for policy",
            "domain_name": "scp",
            "id": "37f2e31ff86b415698d7e8eeafab445d",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_email": "samsung.kim@samsung.com",
            "modifier_name": "Kim Samsung",
            "policy_category": "IDENTITY_BASED",
            "policy_name": "PolicyName",
            "policy_type": "USER_DEFINED",
            "policy_versions": [
                {
                    "created_at": "2024-05-17T00:23:17Z",
                    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "id": "c1b1fc611eb34eccbccfb563f77395ee",
                    "modified_at": "2024-05-17T00:23:17Z",
                    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "policy_document": {
                        "Statement": [
                            {
                                "Action": [
                                    "iam:*"
                                ],
                                "Condition": {
                                    "StringEquals": {
                                        "scp:RequestedRegion": [
                                            "kr-west1"
                                        ]
                                    }
                                },
                                "Effect": "Allow",
                                "NotAction": [],
                                "Principal": [],
                                "Resource": [
                                    "*"
                                ],
                                "Sid": "Statement1"
                            }
                        ],
                        "Version": "2024-07-01"
                    },
                    "policy_id": "37f2e31ff86b415698d7e8eeafab445d",
                    "policy_version_name": "PolicyVersion-1"
                }
            ],
            "resource_type": "policy",
            "service_name": "Identity Access Management",
            "service_type": "iam",
            "srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
            "state": "ACTIVE"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.3

post /v1/policies/list

Description

Query policy list

State ACTIVE (SUPPORTED)

VersionNot Before
1.320261130

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Policy ID
Example : 37f2e31ff86b415698d7e8eeafab445d
any of [string, null]None
querypolicy_name
optional
Policy Name
Example : ViewerAccess
any of [string, null]None
querypolicy_type
optional
Policy Type
Example : SYSTEM_MANAGED
any of [string, array[string], null]None
queryservice_type
optional
Service Type
Example : scp-iam
any of [string, array[string], null]None
querycreator_name
optional
Creator Last Name, First Name
Example : test1
any of [string, null]None
querycreator_email
optional
Creator Email
Example : test@test.com
any of [string, null]None
querymodifier_name
optional
Modifier Last Name, First Name
Example : test1
any of [string, null]None
querymodifier_email
optional
Modifier Email
Example : test@test.com
any of [string, null]None
queryexclude_group_id
optional
Group ID to Exclude
Example : a946662dc4314dac93da413a32457459
any of [string, null]None
queryexclude_user_id
optional
User ID to Exclude
Example :
any of [string, null]None
bodybody
required

PolicyQueryRequest

Responses

HTTP CodeDescriptionSchema
200OKPolicyPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/policies/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.3"

Request body

{
    "excluded_policy_ids": [
        "37f2e31ff86b415698d7e8eeafab445d"
    ]
}

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_email": "samsung.kim@samsung.com",
            "creator_name": "Kim Samsung",
            "default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
            "description": "Descriptions for policy",
            "domain_name": "scp",
            "id": "37f2e31ff86b415698d7e8eeafab445d",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_email": "samsung.kim@samsung.com",
            "modifier_name": "Kim Samsung",
            "policy_category": "IDENTITY_BASED",
            "policy_name": "PolicyName",
            "policy_type": "USER_DEFINED",
            "policy_versions": [
                {
                    "created_at": "2024-05-17T00:23:17Z",
                    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "id": "c1b1fc611eb34eccbccfb563f77395ee",
                    "modified_at": "2024-05-17T00:23:17Z",
                    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "policy_document": {
                        "Statement": [
                            {
                                "Action": [
                                    "iam:*"
                                ],
                                "Condition": {
                                    "StringEquals": {
                                        "scp:RequestedRegion": [
                                            "kr-west1"
                                        ]
                                    }
                                },
                                "Effect": "Allow",
                                "NotAction": [],
                                "Principal": [],
                                "Resource": [
                                    "*"
                                ],
                                "Sid": "Statement1"
                            }
                        ],
                        "Version": "2024-07-01"
                    },
                    "policy_id": "37f2e31ff86b415698d7e8eeafab445d",
                    "policy_version_name": "PolicyVersion-1"
                }
            ],
            "resource_type": "policy",
            "service_name": "Identity Access Management",
            "service_type": "iam",
            "srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
            "state": "ACTIVE"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - 1.2

post /v1/policies/list

Description

Query policy list

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260930

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Policy ID
Example : 37f2e31ff86b415698d7e8eeafab445d
any of [string, null]None
querypolicy_name
optional
Policy Name
Example : ViewerAccess
any of [string, null]None
querypolicy_type
optional
Policy Type
Example : SYSTEM_MANAGED
any of [string, array[string], null]None
queryservice_type
optional
Service Type
Example : scp-iam
any of [string, array[string], null]None
querycreator_name
optional
Creator Last Name, First Name
Example : test1
any of [string, null]None
querycreator_email
optional
Creator Email
Example : test@test.com
any of [string, null]None
querymodifier_name
optional
Modifier Last Name, First Name
Example : test1
any of [string, null]None
querymodifier_email
optional
Modifier Email
Example : test@test.com
any of [string, null]None
queryexclude_group_id
optional
Group ID to Exclude
Example : a946662dc4314dac93da413a32457459
any of [string, null]None
queryexclude_user_id
optional
User ID to Exclude
Example :
any of [string, null]None
bodybody
required

PolicyQueryRequest

Responses

HTTP CodeDescriptionSchema
200OKPolicyPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/policies/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"

Request body

{
    "excluded_policy_ids": [
        "37f2e31ff86b415698d7e8eeafab445d"
    ]
}

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_email": "samsung.kim@samsung.com",
            "creator_name": "Kim Samsung",
            "default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
            "description": "Descriptions for policy",
            "domain_name": "scp",
            "id": "37f2e31ff86b415698d7e8eeafab445d",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_email": "samsung.kim@samsung.com",
            "modifier_name": "Kim Samsung",
            "policy_category": "IDENTITY_BASED",
            "policy_name": "PolicyName",
            "policy_type": "USER_DEFINED",
            "policy_versions": [
                {
                    "created_at": "2024-05-17T00:23:17Z",
                    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "id": "c1b1fc611eb34eccbccfb563f77395ee",
                    "modified_at": "2024-05-17T00:23:17Z",
                    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "policy_document": {
                        "Statement": [
                            {
                                "Action": [
                                    "iam:*"
                                ],
                                "Condition": {
                                    "StringEquals": {
                                        "scp:RequestedRegion": [
                                            "kr-west1"
                                        ]
                                    }
                                },
                                "Effect": "Allow",
                                "NotAction": [],
                                "Principal": [],
                                "Resource": [
                                    "*"
                                ],
                                "Sid": "Statement1"
                            }
                        ],
                        "Version": "2024-07-01"
                    },
                    "policy_id": "37f2e31ff86b415698d7e8eeafab445d",
                    "policy_version_name": "PolicyVersion-1"
                }
            ],
            "resource_type": "policy",
            "service_name": "Identity Access Management",
            "service_type": "iam",
            "srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
            "state": "ACTIVE"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

4 - 1.1

post /v1/policies/list

Description

Query policy list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Policy ID
Example : 37f2e31ff86b415698d7e8eeafab445d
any of [string, null]None
querypolicy_name
optional
Policy Name
Example : ViewerAccess
any of [string, null]None
querypolicy_type
optional
Policy Type
Example : SYSTEM_MANAGED
any of [string, array[string], null]None
queryservice_type
optional
Service Type
Example : scp-iam
any of [string, array[string], null]None
querycreator_name
optional
Creator Last Name, First Name
Example : test1
any of [string, null]None
querycreator_email
optional
Creator Email
Example : test@test.com
any of [string, null]None
querymodifier_name
optional
Modifier Last Name, First Name
Example : test1
any of [string, null]None
querymodifier_email
optional
Modifier Email
Example : test@test.com
any of [string, null]None
queryexclude_group_id
optional
Group ID to Exclude
Example : a946662dc4314dac93da413a32457459
any of [string, null]None
queryexclude_user_id
optional
User ID to Exclude
Example :
any of [string, null]None
bodybody
required

PolicyQueryRequest

Responses

HTTP CodeDescriptionSchema
200OKPolicyPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/policies/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"

Request body

{
    "excluded_policy_ids": [
        "37f2e31ff86b415698d7e8eeafab445d"
    ]
}

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_email": "samsung.kim@samsung.com",
            "creator_name": "Kim Samsung",
            "default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
            "description": "Descriptions for policy",
            "domain_name": "scp",
            "id": "37f2e31ff86b415698d7e8eeafab445d",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_email": "samsung.kim@samsung.com",
            "modifier_name": "Kim Samsung",
            "policy_category": "IDENTITY_BASED",
            "policy_name": "PolicyName",
            "policy_type": "USER_DEFINED",
            "policy_versions": [
                {
                    "created_at": "2024-05-17T00:23:17Z",
                    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "id": "c1b1fc611eb34eccbccfb563f77395ee",
                    "modified_at": "2024-05-17T00:23:17Z",
                    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "policy_document": {
                        "Statement": [
                            {
                                "Action": [
                                    "iam:*"
                                ],
                                "Condition": {
                                    "StringEquals": {
                                        "scp:RequestedRegion": [
                                            "kr-west1"
                                        ]
                                    }
                                },
                                "Effect": "Allow",
                                "NotAction": [],
                                "Principal": [],
                                "Resource": [
                                    "*"
                                ],
                                "Sid": "Statement1"
                            }
                        ],
                        "Version": "2024-07-01"
                    },
                    "policy_id": "37f2e31ff86b415698d7e8eeafab445d",
                    "policy_version_name": "PolicyVersion-1"
                }
            ],
            "resource_type": "policy",
            "service_name": "Identity Access Management",
            "service_type": "iam",
            "srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
            "state": "ACTIVE"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

5 - 1.0

post /v1/policies/list

Description

Query policy list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Policy ID
Example : 37f2e31ff86b415698d7e8eeafab445d
any of [string, null]None
querypolicy_name
optional
Policy Name
Example : ViewerAccess
any of [string, null]None
querypolicy_type
optional
Policy Type
Example : SYSTEM_MANAGED
any of [string, array[string], null]None
queryservice_type
optional
Service Type
Example : scp-iam
any of [string, array[string], null]None
querycreator_name
optional
Creator Last Name, First Name
Example : test1
any of [string, null]None
querycreator_email
optional
Creator Email
Example : test@test.com
any of [string, null]None
querymodifier_name
optional
Modifier Last Name, First Name
Example : test1
any of [string, null]None
querymodifier_email
optional
Modifier Email
Example : test@test.com
any of [string, null]None
queryexclude_group_id
optional
Group ID to Exclude
Example : a946662dc4314dac93da413a32457459
any of [string, null]None
queryexclude_user_id
optional
User ID to Exclude
Example :
any of [string, null]None
bodybody
required

PolicyQueryRequest

Responses

HTTP CodeDescriptionSchema
200OKPolicyPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/policies/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"

Request body

{
    "excluded_policy_ids": [
        "37f2e31ff86b415698d7e8eeafab445d"
    ]
}

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "policies": [
        {
            "account_id": "e99c73a8690d4ae39ae75e38a26f2b99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_email": "samsung.kim@samsung.com",
            "creator_name": "Kim Samsung",
            "default_version_id": "c1b1fc611eb34eccbccfb563f77395ee",
            "description": "Descriptions for policy",
            "domain_name": "scp",
            "id": "37f2e31ff86b415698d7e8eeafab445d",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_email": "samsung.kim@samsung.com",
            "modifier_name": "Kim Samsung",
            "policy_category": "IDENTITY_BASED",
            "policy_name": "PolicyName",
            "policy_type": "USER_DEFINED",
            "policy_versions": [
                {
                    "created_at": "2024-05-17T00:23:17Z",
                    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "id": "c1b1fc611eb34eccbccfb563f77395ee",
                    "modified_at": "2024-05-17T00:23:17Z",
                    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
                    "policy_document": {
                        "Statement": [
                            {
                                "Action": [
                                    "iam:*"
                                ],
                                "Condition": {
                                    "StringEquals": {
                                        "scp:RequestedRegion": [
                                            "kr-west1"
                                        ]
                                    }
                                },
                                "Effect": "Allow",
                                "NotAction": [],
                                "Principal": [],
                                "Resource": [
                                    "*"
                                ],
                                "Sid": "Statement1"
                            }
                        ],
                        "Version": "2024-07-01"
                    },
                    "policy_id": "37f2e31ff86b415698d7e8eeafab445d",
                    "policy_version_name": "PolicyVersion-1"
                }
            ],
            "resource_type": "policy",
            "service_name": "Identity Access Management",
            "service_type": "iam",
            "srn": "srn:qa2:::::iam:policy/37f2e31ff86b415698d7e8eeafab445d",
            "state": "ACTIVE"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}